Subject: bug#27456: 25.2; Not possible to use -prune with find-dired

From: Michael Heerdegen <[email-masked]>
Date: Wed, 12 Jul 2017 21:40:24 +0200

Hi Allen,

> It is not possible to effectively use the -prune action with
> find-dired.

I think I can use it successfully.

> With plain find, -prune would be used like:
>
>     find . -name "foo*" -prune -o -name "*.el" -ls
>
> However, find-dired wraps everything:
>
>     (find-dired "." "-name \\"foo*\\" -prune -o -name \\"*.el\\" -ls")

I get an error when I try to eval this.  I think the backslashes should
not be doubled.

> results in the equivalent call:
>
>     find . \( -name "foo*" -prune -o -name "*.el" -ls \) -ls
>
> Notably, this will list files matching foo*

Can't you just leave out the explicit -ls in the arguments?

Also, AFAIK "-prune" is about descending into directories, not about
file names.

Michael.